import logging; logger = logging.getLogger("morse." + __name__)
import pymoos.MOOSCommClient
from morse.middleware.moos import AbstractMOOS
from morse.core import blenderapi

class BoatVelocityNotifier(AbstractMOOS):
    def default(self,  ci='unused'):

        cur_time=pymoos.MOOSCommClient.MOOSTime()
        self.m.Notify('actual_time', blenderapi.persistantstorage().current_time, cur_time)
        velocity = self.data['velocity']

        self.m.Notify("BOAT_SPEED", velocity, cur_time)
